Package com.xebialabs.deployit.plugin.api.reflect

## Enum PropertyKind

- java.lang.Object
- - java.lang.Enum<PropertyKind>
  - - com.xebialabs.deployit.plugin.api.reflect.PropertyKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PropertyKind>`

      public enum PropertyKind
      extends java.lang.Enum<PropertyKind>

  Enumeration of all the available values for a property's type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` |
    `CI` |
    `DATE` |
    `ENUM` |
    `INTEGER` |
    `LIST_OF_CI` |
    `LIST_OF_STRING` |
    `MAP_STRING_STRING` |
    `SET_OF_CI` |
    `SET_OF_STRING` |
    `STRING` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSimple()` |
    `static PropertyKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PropertyKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOOLEAN

          public static final PropertyKind BOOLEAN

    - #### INTEGER

          public static final PropertyKind INTEGER

    - #### STRING

          public static final PropertyKind STRING

    - #### ENUM

          public static final PropertyKind ENUM

    - #### DATE

          public static final PropertyKind DATE

    - #### CI

          public static final PropertyKind CI

    - #### SET_OF_STRING

          public static final PropertyKind SET_OF_STRING

    - #### SET_OF_CI

          public static final PropertyKind SET_OF_CI

    - #### LIST_OF_STRING

          public static final PropertyKind LIST_OF_STRING

    - #### LIST_OF_CI

          public static final PropertyKind LIST_OF_CI

    - #### MAP_STRING_STRING

          public static final PropertyKind MAP_STRING_STRING

  - ### Method Detail

    - #### values

          public static PropertyKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyKind c : PropertyKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isSimple

          public boolean isSimple()

      Returns:
        Whether this kind can be safely treated as a PropertyKind.STRING when doing placeholder resolution.